# aind-slurm-rest-v2
API to access and control Slurm

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: Slurm-24.05.4&amp;openapi/dbv0.0.39&amp;openapi/slurmctld&amp;openapi/slurmdbd&amp;openapi/v0.0.39
- Package version: 0.0.1
- Generator version: 7.14.0-SNAPSHOT
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://www.schedmd.com/](https://www.schedmd.com/)

## Requirements.

Python 3.9+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import aind_slurm_rest_v2
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import aind_slurm_rest_v2
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import aind_slurm_rest_v2
from aind_slurm_rest_v2.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = aind_slurm_rest_v2.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: user
configuration.api_key['user'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['user'] = 'Bearer'

# Configure Bearer authorization (JWT): bearerAuth
configuration = aind_slurm_rest_v2.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)

# Configure API key authorization: token
configuration.api_key['token'] = os.environ["API_KEY"]

# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['token'] = 'Bearer'


# Enter a context with an instance of the API client
with aind_slurm_rest_v2.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = aind_slurm_rest_v2.SlurmApi(api_client)
    job_id = 'job_id_example' # str | Slurm Job ID
    signal = 'signal_example' # str | signal to send to job (optional)

    try:
        # cancel or signal job
        api_response = api_instance.slurm_v0039_cancel_job(job_id, signal=signal)
        print("The response of SlurmApi->slurm_v0039_cancel_job:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling SlurmApi->slurm_v0039_cancel_job: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SlurmApi* | [**slurm_v0039_cancel_job**](docs/SlurmApi.md#slurm_v0039_cancel_job) | **DELETE** /slurm/v0.0.39/job/{job_id} | cancel or signal job
*SlurmApi* | [**slurm_v0039_delete_node**](docs/SlurmApi.md#slurm_v0039_delete_node) | **DELETE** /slurm/v0.0.39/node/{node_name} | delete node
*SlurmApi* | [**slurm_v0039_diag**](docs/SlurmApi.md#slurm_v0039_diag) | **GET** /slurm/v0.0.39/diag | get diagnostics
*SlurmApi* | [**slurm_v0039_get_job**](docs/SlurmApi.md#slurm_v0039_get_job) | **GET** /slurm/v0.0.39/job/{job_id} | get job info
*SlurmApi* | [**slurm_v0039_get_jobs**](docs/SlurmApi.md#slurm_v0039_get_jobs) | **GET** /slurm/v0.0.39/jobs | get list of jobs
*SlurmApi* | [**slurm_v0039_get_node**](docs/SlurmApi.md#slurm_v0039_get_node) | **GET** /slurm/v0.0.39/node/{node_name} | get node info
*SlurmApi* | [**slurm_v0039_get_nodes**](docs/SlurmApi.md#slurm_v0039_get_nodes) | **GET** /slurm/v0.0.39/nodes | get all node info
*SlurmApi* | [**slurm_v0039_get_partition**](docs/SlurmApi.md#slurm_v0039_get_partition) | **GET** /slurm/v0.0.39/partition/{partition_name} | get partition info
*SlurmApi* | [**slurm_v0039_get_partitions**](docs/SlurmApi.md#slurm_v0039_get_partitions) | **GET** /slurm/v0.0.39/partitions | get all partition info
*SlurmApi* | [**slurm_v0039_get_reservation**](docs/SlurmApi.md#slurm_v0039_get_reservation) | **GET** /slurm/v0.0.39/reservation/{reservation_name} | get reservation info
*SlurmApi* | [**slurm_v0039_get_reservations**](docs/SlurmApi.md#slurm_v0039_get_reservations) | **GET** /slurm/v0.0.39/reservations | get all reservation info
*SlurmApi* | [**slurm_v0039_ping**](docs/SlurmApi.md#slurm_v0039_ping) | **GET** /slurm/v0.0.39/ping | ping test
*SlurmApi* | [**slurm_v0039_slurmctld_get_licenses**](docs/SlurmApi.md#slurm_v0039_slurmctld_get_licenses) | **GET** /slurm/v0.0.39/licenses | get all Slurm tracked license info
*SlurmApi* | [**slurm_v0039_submit_job**](docs/SlurmApi.md#slurm_v0039_submit_job) | **POST** /slurm/v0.0.39/job/submit | submit new job
*SlurmApi* | [**slurm_v0039_update_job**](docs/SlurmApi.md#slurm_v0039_update_job) | **POST** /slurm/v0.0.39/job/{job_id} | update job
*SlurmApi* | [**slurm_v0039_update_node**](docs/SlurmApi.md#slurm_v0039_update_node) | **POST** /slurm/v0.0.39/node/{node_name} | update node properties
*SlurmApi* | [**slurm_v0040_delete_job**](docs/SlurmApi.md#slurm_v0040_delete_job) | **DELETE** /slurm/v0.0.40/job/{job_id} | cancel or signal job
*SlurmApi* | [**slurm_v0040_delete_jobs**](docs/SlurmApi.md#slurm_v0040_delete_jobs) | **DELETE** /slurm/v0.0.40/jobs/ | send signal to list of jobs
*SlurmApi* | [**slurm_v0040_delete_node**](docs/SlurmApi.md#slurm_v0040_delete_node) | **DELETE** /slurm/v0.0.40/node/{node_name} | delete node
*SlurmApi* | [**slurm_v0040_get_diag**](docs/SlurmApi.md#slurm_v0040_get_diag) | **GET** /slurm/v0.0.40/diag/ | get diagnostics
*SlurmApi* | [**slurm_v0040_get_job**](docs/SlurmApi.md#slurm_v0040_get_job) | **GET** /slurm/v0.0.40/job/{job_id} | get job info
*SlurmApi* | [**slurm_v0040_get_jobs**](docs/SlurmApi.md#slurm_v0040_get_jobs) | **GET** /slurm/v0.0.40/jobs/ | get list of jobs
*SlurmApi* | [**slurm_v0040_get_jobs_state**](docs/SlurmApi.md#slurm_v0040_get_jobs_state) | **GET** /slurm/v0.0.40/jobs/state/ | get list of job states
*SlurmApi* | [**slurm_v0040_get_licenses**](docs/SlurmApi.md#slurm_v0040_get_licenses) | **GET** /slurm/v0.0.40/licenses/ | get all Slurm tracked license info
*SlurmApi* | [**slurm_v0040_get_node**](docs/SlurmApi.md#slurm_v0040_get_node) | **GET** /slurm/v0.0.40/node/{node_name} | get node info
*SlurmApi* | [**slurm_v0040_get_nodes**](docs/SlurmApi.md#slurm_v0040_get_nodes) | **GET** /slurm/v0.0.40/nodes/ | get node(s) info
*SlurmApi* | [**slurm_v0040_get_partition**](docs/SlurmApi.md#slurm_v0040_get_partition) | **GET** /slurm/v0.0.40/partition/{partition_name} | get partition info
*SlurmApi* | [**slurm_v0040_get_partitions**](docs/SlurmApi.md#slurm_v0040_get_partitions) | **GET** /slurm/v0.0.40/partitions/ | get all partition info
*SlurmApi* | [**slurm_v0040_get_ping**](docs/SlurmApi.md#slurm_v0040_get_ping) | **GET** /slurm/v0.0.40/ping/ | ping test
*SlurmApi* | [**slurm_v0040_get_reconfigure**](docs/SlurmApi.md#slurm_v0040_get_reconfigure) | **GET** /slurm/v0.0.40/reconfigure/ | request slurmctld reconfigure
*SlurmApi* | [**slurm_v0040_get_reservation**](docs/SlurmApi.md#slurm_v0040_get_reservation) | **GET** /slurm/v0.0.40/reservation/{reservation_name} | get reservation info
*SlurmApi* | [**slurm_v0040_get_reservations**](docs/SlurmApi.md#slurm_v0040_get_reservations) | **GET** /slurm/v0.0.40/reservations/ | get all reservation info
*SlurmApi* | [**slurm_v0040_get_shares**](docs/SlurmApi.md#slurm_v0040_get_shares) | **GET** /slurm/v0.0.40/shares | get fairshare info
*SlurmApi* | [**slurm_v0040_post_job**](docs/SlurmApi.md#slurm_v0040_post_job) | **POST** /slurm/v0.0.40/job/{job_id} | update job
*SlurmApi* | [**slurm_v0040_post_job_submit**](docs/SlurmApi.md#slurm_v0040_post_job_submit) | **POST** /slurm/v0.0.40/job/submit | submit new job
*SlurmApi* | [**slurm_v0040_post_node**](docs/SlurmApi.md#slurm_v0040_post_node) | **POST** /slurm/v0.0.40/node/{node_name} | update node properties
*SlurmApi* | [**slurm_v0041_delete_job**](docs/SlurmApi.md#slurm_v0041_delete_job) | **DELETE** /slurm/v0.0.41/job/{job_id} | cancel or signal job
*SlurmApi* | [**slurm_v0041_delete_jobs**](docs/SlurmApi.md#slurm_v0041_delete_jobs) | **DELETE** /slurm/v0.0.41/jobs/ | send signal to list of jobs
*SlurmApi* | [**slurm_v0041_delete_node**](docs/SlurmApi.md#slurm_v0041_delete_node) | **DELETE** /slurm/v0.0.41/node/{node_name} | delete node
*SlurmApi* | [**slurm_v0041_get_diag**](docs/SlurmApi.md#slurm_v0041_get_diag) | **GET** /slurm/v0.0.41/diag/ | get diagnostics
*SlurmApi* | [**slurm_v0041_get_job**](docs/SlurmApi.md#slurm_v0041_get_job) | **GET** /slurm/v0.0.41/job/{job_id} | get job info
*SlurmApi* | [**slurm_v0041_get_jobs**](docs/SlurmApi.md#slurm_v0041_get_jobs) | **GET** /slurm/v0.0.41/jobs/ | get list of jobs
*SlurmApi* | [**slurm_v0041_get_jobs_state**](docs/SlurmApi.md#slurm_v0041_get_jobs_state) | **GET** /slurm/v0.0.41/jobs/state/ | get list of job states
*SlurmApi* | [**slurm_v0041_get_licenses**](docs/SlurmApi.md#slurm_v0041_get_licenses) | **GET** /slurm/v0.0.41/licenses/ | get all Slurm tracked license info
*SlurmApi* | [**slurm_v0041_get_node**](docs/SlurmApi.md#slurm_v0041_get_node) | **GET** /slurm/v0.0.41/node/{node_name} | get node info
*SlurmApi* | [**slurm_v0041_get_nodes**](docs/SlurmApi.md#slurm_v0041_get_nodes) | **GET** /slurm/v0.0.41/nodes/ | get node(s) info
*SlurmApi* | [**slurm_v0041_get_partition**](docs/SlurmApi.md#slurm_v0041_get_partition) | **GET** /slurm/v0.0.41/partition/{partition_name} | get partition info
*SlurmApi* | [**slurm_v0041_get_partitions**](docs/SlurmApi.md#slurm_v0041_get_partitions) | **GET** /slurm/v0.0.41/partitions/ | get all partition info
*SlurmApi* | [**slurm_v0041_get_ping**](docs/SlurmApi.md#slurm_v0041_get_ping) | **GET** /slurm/v0.0.41/ping/ | ping test
*SlurmApi* | [**slurm_v0041_get_reconfigure**](docs/SlurmApi.md#slurm_v0041_get_reconfigure) | **GET** /slurm/v0.0.41/reconfigure/ | request slurmctld reconfigure
*SlurmApi* | [**slurm_v0041_get_reservation**](docs/SlurmApi.md#slurm_v0041_get_reservation) | **GET** /slurm/v0.0.41/reservation/{reservation_name} | get reservation info
*SlurmApi* | [**slurm_v0041_get_reservations**](docs/SlurmApi.md#slurm_v0041_get_reservations) | **GET** /slurm/v0.0.41/reservations/ | get all reservation info
*SlurmApi* | [**slurm_v0041_get_shares**](docs/SlurmApi.md#slurm_v0041_get_shares) | **GET** /slurm/v0.0.41/shares | get fairshare info
*SlurmApi* | [**slurm_v0041_post_job**](docs/SlurmApi.md#slurm_v0041_post_job) | **POST** /slurm/v0.0.41/job/{job_id} | update job
*SlurmApi* | [**slurm_v0041_post_job_allocate**](docs/SlurmApi.md#slurm_v0041_post_job_allocate) | **POST** /slurm/v0.0.41/job/allocate | submit new job allocation without any steps that must be signaled to stop
*SlurmApi* | [**slurm_v0041_post_job_submit**](docs/SlurmApi.md#slurm_v0041_post_job_submit) | **POST** /slurm/v0.0.41/job/submit | submit new job
*SlurmApi* | [**slurm_v0041_post_node**](docs/SlurmApi.md#slurm_v0041_post_node) | **POST** /slurm/v0.0.41/node/{node_name} | update node properties
*SlurmApi* | [**slurmdb_v0039_add_clusters**](docs/SlurmApi.md#slurmdb_v0039_add_clusters) | **POST** /slurmdb/v0.0.39/clusters | Add clusters
*SlurmApi* | [**slurmdb_v0039_add_wckeys**](docs/SlurmApi.md#slurmdb_v0039_add_wckeys) | **POST** /slurmdb/v0.0.39/wckeys | Add wckeys
*SlurmApi* | [**slurmdb_v0039_delete_account**](docs/SlurmApi.md#slurmdb_v0039_delete_account) | **DELETE** /slurmdb/v0.0.39/account/{account_name} | Delete account
*SlurmApi* | [**slurmdb_v0039_delete_association**](docs/SlurmApi.md#slurmdb_v0039_delete_association) | **DELETE** /slurmdb/v0.0.39/association | Delete association
*SlurmApi* | [**slurmdb_v0039_delete_associations**](docs/SlurmApi.md#slurmdb_v0039_delete_associations) | **DELETE** /slurmdb/v0.0.39/associations | Delete associations
*SlurmApi* | [**slurmdb_v0039_delete_cluster**](docs/SlurmApi.md#slurmdb_v0039_delete_cluster) | **DELETE** /slurmdb/v0.0.39/cluster/{cluster_name} | Delete cluster
*SlurmApi* | [**slurmdb_v0039_delete_qos**](docs/SlurmApi.md#slurmdb_v0039_delete_qos) | **DELETE** /slurmdb/v0.0.39/qos/{qos_name} | Delete QOS
*SlurmApi* | [**slurmdb_v0039_delete_user**](docs/SlurmApi.md#slurmdb_v0039_delete_user) | **DELETE** /slurmdb/v0.0.39/user/{user_name} | Delete user
*SlurmApi* | [**slurmdb_v0039_delete_wckey**](docs/SlurmApi.md#slurmdb_v0039_delete_wckey) | **DELETE** /slurmdb/v0.0.39/wckey/{wckey} | Delete wckey
*SlurmApi* | [**slurmdb_v0039_diag**](docs/SlurmApi.md#slurmdb_v0039_diag) | **GET** /slurmdb/v0.0.39/diag | Get slurmdb diagnostics
*SlurmApi* | [**slurmdb_v0039_get_account**](docs/SlurmApi.md#slurmdb_v0039_get_account) | **GET** /slurmdb/v0.0.39/account/{account_name} | Get account info
*SlurmApi* | [**slurmdb_v0039_get_accounts**](docs/SlurmApi.md#slurmdb_v0039_get_accounts) | **GET** /slurmdb/v0.0.39/accounts | Get account list
*SlurmApi* | [**slurmdb_v0039_get_association**](docs/SlurmApi.md#slurmdb_v0039_get_association) | **GET** /slurmdb/v0.0.39/association | Get association info
*SlurmApi* | [**slurmdb_v0039_get_associations**](docs/SlurmApi.md#slurmdb_v0039_get_associations) | **GET** /slurmdb/v0.0.39/associations | Get association list
*SlurmApi* | [**slurmdb_v0039_get_cluster**](docs/SlurmApi.md#slurmdb_v0039_get_cluster) | **GET** /slurmdb/v0.0.39/cluster/{cluster_name} | Get cluster info
*SlurmApi* | [**slurmdb_v0039_get_clusters**](docs/SlurmApi.md#slurmdb_v0039_get_clusters) | **GET** /slurmdb/v0.0.39/clusters | Get cluster list
*SlurmApi* | [**slurmdb_v0039_get_config**](docs/SlurmApi.md#slurmdb_v0039_get_config) | **GET** /slurmdb/v0.0.39/config | Dump all configuration information
*SlurmApi* | [**slurmdb_v0039_get_job**](docs/SlurmApi.md#slurmdb_v0039_get_job) | **GET** /slurmdb/v0.0.39/job/{job_id} | Get job info
*SlurmApi* | [**slurmdb_v0039_get_jobs**](docs/SlurmApi.md#slurmdb_v0039_get_jobs) | **GET** /slurmdb/v0.0.39/jobs | Get job list
*SlurmApi* | [**slurmdb_v0039_get_qos**](docs/SlurmApi.md#slurmdb_v0039_get_qos) | **GET** /slurmdb/v0.0.39/qos | Get QOS list
*SlurmApi* | [**slurmdb_v0039_get_single_qos**](docs/SlurmApi.md#slurmdb_v0039_get_single_qos) | **GET** /slurmdb/v0.0.39/qos/{qos_name} | Get QOS info
*SlurmApi* | [**slurmdb_v0039_get_tres**](docs/SlurmApi.md#slurmdb_v0039_get_tres) | **GET** /slurmdb/v0.0.39/tres | Get TRES info
*SlurmApi* | [**slurmdb_v0039_get_user**](docs/SlurmApi.md#slurmdb_v0039_get_user) | **GET** /slurmdb/v0.0.39/user/{user_name} | Get user info
*SlurmApi* | [**slurmdb_v0039_get_users**](docs/SlurmApi.md#slurmdb_v0039_get_users) | **GET** /slurmdb/v0.0.39/users | Get user list
*SlurmApi* | [**slurmdb_v0039_get_wckey**](docs/SlurmApi.md#slurmdb_v0039_get_wckey) | **GET** /slurmdb/v0.0.39/wckey/{wckey} | Get wckey info
*SlurmApi* | [**slurmdb_v0039_get_wckeys**](docs/SlurmApi.md#slurmdb_v0039_get_wckeys) | **GET** /slurmdb/v0.0.39/wckeys | Get wckey list
*SlurmApi* | [**slurmdb_v0039_set_config**](docs/SlurmApi.md#slurmdb_v0039_set_config) | **POST** /slurmdb/v0.0.39/config | Load all configuration information
*SlurmApi* | [**slurmdb_v0039_update_accounts**](docs/SlurmApi.md#slurmdb_v0039_update_accounts) | **POST** /slurmdb/v0.0.39/accounts | Update accounts
*SlurmApi* | [**slurmdb_v0039_update_associations**](docs/SlurmApi.md#slurmdb_v0039_update_associations) | **POST** /slurmdb/v0.0.39/associations | Set associations info
*SlurmApi* | [**slurmdb_v0039_update_qos**](docs/SlurmApi.md#slurmdb_v0039_update_qos) | **POST** /slurmdb/v0.0.39/qos | Set QOS info
*SlurmApi* | [**slurmdb_v0039_update_tres**](docs/SlurmApi.md#slurmdb_v0039_update_tres) | **POST** /slurmdb/v0.0.39/tres | Set TRES info
*SlurmApi* | [**slurmdb_v0039_update_users**](docs/SlurmApi.md#slurmdb_v0039_update_users) | **POST** /slurmdb/v0.0.39/users | Update user
*SlurmdbApi* | [**slurmdb_v0040_delete_account**](docs/SlurmdbApi.md#slurmdb_v0040_delete_account) | **DELETE** /slurmdb/v0.0.40/account/{account_name} | Delete account
*SlurmdbApi* | [**slurmdb_v0040_delete_association**](docs/SlurmdbApi.md#slurmdb_v0040_delete_association) | **DELETE** /slurmdb/v0.0.40/association/ | Delete association
*SlurmdbApi* | [**slurmdb_v0040_delete_associations**](docs/SlurmdbApi.md#slurmdb_v0040_delete_associations) | **DELETE** /slurmdb/v0.0.40/associations/ | Delete associations
*SlurmdbApi* | [**slurmdb_v0040_delete_cluster**](docs/SlurmdbApi.md#slurmdb_v0040_delete_cluster) | **DELETE** /slurmdb/v0.0.40/cluster/{cluster_name} | Delete cluster
*SlurmdbApi* | [**slurmdb_v0040_delete_single_qos**](docs/SlurmdbApi.md#slurmdb_v0040_delete_single_qos) | **DELETE** /slurmdb/v0.0.40/qos/{qos} | Delete QOS
*SlurmdbApi* | [**slurmdb_v0040_delete_user**](docs/SlurmdbApi.md#slurmdb_v0040_delete_user) | **DELETE** /slurmdb/v0.0.40/user/{name} | Delete user
*SlurmdbApi* | [**slurmdb_v0040_delete_wckey**](docs/SlurmdbApi.md#slurmdb_v0040_delete_wckey) | **DELETE** /slurmdb/v0.0.40/wckey/{id} | Delete wckey
*SlurmdbApi* | [**slurmdb_v0040_get_account**](docs/SlurmdbApi.md#slurmdb_v0040_get_account) | **GET** /slurmdb/v0.0.40/account/{account_name} | Get account info
*SlurmdbApi* | [**slurmdb_v0040_get_accounts**](docs/SlurmdbApi.md#slurmdb_v0040_get_accounts) | **GET** /slurmdb/v0.0.40/accounts/ | Get account list
*SlurmdbApi* | [**slurmdb_v0040_get_association**](docs/SlurmdbApi.md#slurmdb_v0040_get_association) | **GET** /slurmdb/v0.0.40/association/ | Get association info
*SlurmdbApi* | [**slurmdb_v0040_get_associations**](docs/SlurmdbApi.md#slurmdb_v0040_get_associations) | **GET** /slurmdb/v0.0.40/associations/ | Get association list
*SlurmdbApi* | [**slurmdb_v0040_get_cluster**](docs/SlurmdbApi.md#slurmdb_v0040_get_cluster) | **GET** /slurmdb/v0.0.40/cluster/{cluster_name} | Get cluster info
*SlurmdbApi* | [**slurmdb_v0040_get_clusters**](docs/SlurmdbApi.md#slurmdb_v0040_get_clusters) | **GET** /slurmdb/v0.0.40/clusters/ | Get cluster list
*SlurmdbApi* | [**slurmdb_v0040_get_config**](docs/SlurmdbApi.md#slurmdb_v0040_get_config) | **GET** /slurmdb/v0.0.40/config | Dump all configuration information
*SlurmdbApi* | [**slurmdb_v0040_get_diag**](docs/SlurmdbApi.md#slurmdb_v0040_get_diag) | **GET** /slurmdb/v0.0.40/diag/ | Get slurmdb diagnostics
*SlurmdbApi* | [**slurmdb_v0040_get_instance**](docs/SlurmdbApi.md#slurmdb_v0040_get_instance) | **GET** /slurmdb/v0.0.40/instance/ | Get instance info
*SlurmdbApi* | [**slurmdb_v0040_get_instances**](docs/SlurmdbApi.md#slurmdb_v0040_get_instances) | **GET** /slurmdb/v0.0.40/instances/ | Get instance list
*SlurmdbApi* | [**slurmdb_v0040_get_job**](docs/SlurmdbApi.md#slurmdb_v0040_get_job) | **GET** /slurmdb/v0.0.40/job/{job_id} | Get job info
*SlurmdbApi* | [**slurmdb_v0040_get_jobs**](docs/SlurmdbApi.md#slurmdb_v0040_get_jobs) | **GET** /slurmdb/v0.0.40/jobs/ | Get job list
*SlurmdbApi* | [**slurmdb_v0040_get_qos**](docs/SlurmdbApi.md#slurmdb_v0040_get_qos) | **GET** /slurmdb/v0.0.40/qos/ | Get QOS list
*SlurmdbApi* | [**slurmdb_v0040_get_single_qos**](docs/SlurmdbApi.md#slurmdb_v0040_get_single_qos) | **GET** /slurmdb/v0.0.40/qos/{qos} | Get QOS info
*SlurmdbApi* | [**slurmdb_v0040_get_tres**](docs/SlurmdbApi.md#slurmdb_v0040_get_tres) | **GET** /slurmdb/v0.0.40/tres/ | Get TRES info
*SlurmdbApi* | [**slurmdb_v0040_get_user**](docs/SlurmdbApi.md#slurmdb_v0040_get_user) | **GET** /slurmdb/v0.0.40/user/{name} | Get user info
*SlurmdbApi* | [**slurmdb_v0040_get_users**](docs/SlurmdbApi.md#slurmdb_v0040_get_users) | **GET** /slurmdb/v0.0.40/users/ | Get user list
*SlurmdbApi* | [**slurmdb_v0040_get_wckey**](docs/SlurmdbApi.md#slurmdb_v0040_get_wckey) | **GET** /slurmdb/v0.0.40/wckey/{id} | Get wckey info
*SlurmdbApi* | [**slurmdb_v0040_get_wckeys**](docs/SlurmdbApi.md#slurmdb_v0040_get_wckeys) | **GET** /slurmdb/v0.0.40/wckeys/ | Get wckey list
*SlurmdbApi* | [**slurmdb_v0040_post_accounts**](docs/SlurmdbApi.md#slurmdb_v0040_post_accounts) | **POST** /slurmdb/v0.0.40/accounts/ | Add/update list of accounts
*SlurmdbApi* | [**slurmdb_v0040_post_accounts_association**](docs/SlurmdbApi.md#slurmdb_v0040_post_accounts_association) | **POST** /slurmdb/v0.0.40/accounts_association/ | Add accounts with conditional association
*SlurmdbApi* | [**slurmdb_v0040_post_associations**](docs/SlurmdbApi.md#slurmdb_v0040_post_associations) | **POST** /slurmdb/v0.0.40/associations/ | Set associations info
*SlurmdbApi* | [**slurmdb_v0040_post_clusters**](docs/SlurmdbApi.md#slurmdb_v0040_post_clusters) | **POST** /slurmdb/v0.0.40/clusters/ | Get cluster list
*SlurmdbApi* | [**slurmdb_v0040_post_config**](docs/SlurmdbApi.md#slurmdb_v0040_post_config) | **POST** /slurmdb/v0.0.40/config | Load all configuration information
*SlurmdbApi* | [**slurmdb_v0040_post_qos**](docs/SlurmdbApi.md#slurmdb_v0040_post_qos) | **POST** /slurmdb/v0.0.40/qos/ | Add or update QOSs
*SlurmdbApi* | [**slurmdb_v0040_post_tres**](docs/SlurmdbApi.md#slurmdb_v0040_post_tres) | **POST** /slurmdb/v0.0.40/tres/ | Add TRES
*SlurmdbApi* | [**slurmdb_v0040_post_users**](docs/SlurmdbApi.md#slurmdb_v0040_post_users) | **POST** /slurmdb/v0.0.40/users/ | Update users
*SlurmdbApi* | [**slurmdb_v0040_post_users_association**](docs/SlurmdbApi.md#slurmdb_v0040_post_users_association) | **POST** /slurmdb/v0.0.40/users_association/ | Add users with conditional association
*SlurmdbApi* | [**slurmdb_v0040_post_wckeys**](docs/SlurmdbApi.md#slurmdb_v0040_post_wckeys) | **POST** /slurmdb/v0.0.40/wckeys/ | Add or update wckeys
*SlurmdbApi* | [**slurmdb_v0041_delete_account**](docs/SlurmdbApi.md#slurmdb_v0041_delete_account) | **DELETE** /slurmdb/v0.0.41/account/{account_name} | Delete account
*SlurmdbApi* | [**slurmdb_v0041_delete_association**](docs/SlurmdbApi.md#slurmdb_v0041_delete_association) | **DELETE** /slurmdb/v0.0.41/association/ | Delete association
*SlurmdbApi* | [**slurmdb_v0041_delete_associations**](docs/SlurmdbApi.md#slurmdb_v0041_delete_associations) | **DELETE** /slurmdb/v0.0.41/associations/ | Delete associations
*SlurmdbApi* | [**slurmdb_v0041_delete_cluster**](docs/SlurmdbApi.md#slurmdb_v0041_delete_cluster) | **DELETE** /slurmdb/v0.0.41/cluster/{cluster_name} | Delete cluster
*SlurmdbApi* | [**slurmdb_v0041_delete_single_qos**](docs/SlurmdbApi.md#slurmdb_v0041_delete_single_qos) | **DELETE** /slurmdb/v0.0.41/qos/{qos} | Delete QOS
*SlurmdbApi* | [**slurmdb_v0041_delete_user**](docs/SlurmdbApi.md#slurmdb_v0041_delete_user) | **DELETE** /slurmdb/v0.0.41/user/{name} | Delete user
*SlurmdbApi* | [**slurmdb_v0041_delete_wckey**](docs/SlurmdbApi.md#slurmdb_v0041_delete_wckey) | **DELETE** /slurmdb/v0.0.41/wckey/{id} | Delete wckey
*SlurmdbApi* | [**slurmdb_v0041_get_account**](docs/SlurmdbApi.md#slurmdb_v0041_get_account) | **GET** /slurmdb/v0.0.41/account/{account_name} | Get account info
*SlurmdbApi* | [**slurmdb_v0041_get_accounts**](docs/SlurmdbApi.md#slurmdb_v0041_get_accounts) | **GET** /slurmdb/v0.0.41/accounts/ | Get account list
*SlurmdbApi* | [**slurmdb_v0041_get_association**](docs/SlurmdbApi.md#slurmdb_v0041_get_association) | **GET** /slurmdb/v0.0.41/association/ | Get association info
*SlurmdbApi* | [**slurmdb_v0041_get_associations**](docs/SlurmdbApi.md#slurmdb_v0041_get_associations) | **GET** /slurmdb/v0.0.41/associations/ | Get association list
*SlurmdbApi* | [**slurmdb_v0041_get_cluster**](docs/SlurmdbApi.md#slurmdb_v0041_get_cluster) | **GET** /slurmdb/v0.0.41/cluster/{cluster_name} | Get cluster info
*SlurmdbApi* | [**slurmdb_v0041_get_clusters**](docs/SlurmdbApi.md#slurmdb_v0041_get_clusters) | **GET** /slurmdb/v0.0.41/clusters/ | Get cluster list
*SlurmdbApi* | [**slurmdb_v0041_get_config**](docs/SlurmdbApi.md#slurmdb_v0041_get_config) | **GET** /slurmdb/v0.0.41/config | Dump all configuration information
*SlurmdbApi* | [**slurmdb_v0041_get_diag**](docs/SlurmdbApi.md#slurmdb_v0041_get_diag) | **GET** /slurmdb/v0.0.41/diag/ | Get slurmdb diagnostics
*SlurmdbApi* | [**slurmdb_v0041_get_instance**](docs/SlurmdbApi.md#slurmdb_v0041_get_instance) | **GET** /slurmdb/v0.0.41/instance/ | Get instance info
*SlurmdbApi* | [**slurmdb_v0041_get_instances**](docs/SlurmdbApi.md#slurmdb_v0041_get_instances) | **GET** /slurmdb/v0.0.41/instances/ | Get instance list
*SlurmdbApi* | [**slurmdb_v0041_get_job**](docs/SlurmdbApi.md#slurmdb_v0041_get_job) | **GET** /slurmdb/v0.0.41/job/{job_id} | Get job info
*SlurmdbApi* | [**slurmdb_v0041_get_jobs**](docs/SlurmdbApi.md#slurmdb_v0041_get_jobs) | **GET** /slurmdb/v0.0.41/jobs/ | Get job list
*SlurmdbApi* | [**slurmdb_v0041_get_qos**](docs/SlurmdbApi.md#slurmdb_v0041_get_qos) | **GET** /slurmdb/v0.0.41/qos/ | Get QOS list
*SlurmdbApi* | [**slurmdb_v0041_get_single_qos**](docs/SlurmdbApi.md#slurmdb_v0041_get_single_qos) | **GET** /slurmdb/v0.0.41/qos/{qos} | Get QOS info
*SlurmdbApi* | [**slurmdb_v0041_get_tres**](docs/SlurmdbApi.md#slurmdb_v0041_get_tres) | **GET** /slurmdb/v0.0.41/tres/ | Get TRES info
*SlurmdbApi* | [**slurmdb_v0041_get_user**](docs/SlurmdbApi.md#slurmdb_v0041_get_user) | **GET** /slurmdb/v0.0.41/user/{name} | Get user info
*SlurmdbApi* | [**slurmdb_v0041_get_users**](docs/SlurmdbApi.md#slurmdb_v0041_get_users) | **GET** /slurmdb/v0.0.41/users/ | Get user list
*SlurmdbApi* | [**slurmdb_v0041_get_wckey**](docs/SlurmdbApi.md#slurmdb_v0041_get_wckey) | **GET** /slurmdb/v0.0.41/wckey/{id} | Get wckey info
*SlurmdbApi* | [**slurmdb_v0041_get_wckeys**](docs/SlurmdbApi.md#slurmdb_v0041_get_wckeys) | **GET** /slurmdb/v0.0.41/wckeys/ | Get wckey list
*SlurmdbApi* | [**slurmdb_v0041_post_accounts**](docs/SlurmdbApi.md#slurmdb_v0041_post_accounts) | **POST** /slurmdb/v0.0.41/accounts/ | Add/update list of accounts
*SlurmdbApi* | [**slurmdb_v0041_post_accounts_association**](docs/SlurmdbApi.md#slurmdb_v0041_post_accounts_association) | **POST** /slurmdb/v0.0.41/accounts_association/ | Add accounts with conditional association
*SlurmdbApi* | [**slurmdb_v0041_post_associations**](docs/SlurmdbApi.md#slurmdb_v0041_post_associations) | **POST** /slurmdb/v0.0.41/associations/ | Set associations info
*SlurmdbApi* | [**slurmdb_v0041_post_clusters**](docs/SlurmdbApi.md#slurmdb_v0041_post_clusters) | **POST** /slurmdb/v0.0.41/clusters/ | Get cluster list
*SlurmdbApi* | [**slurmdb_v0041_post_config**](docs/SlurmdbApi.md#slurmdb_v0041_post_config) | **POST** /slurmdb/v0.0.41/config | Load all configuration information
*SlurmdbApi* | [**slurmdb_v0041_post_qos**](docs/SlurmdbApi.md#slurmdb_v0041_post_qos) | **POST** /slurmdb/v0.0.41/qos/ | Add or update QOSs
*SlurmdbApi* | [**slurmdb_v0041_post_tres**](docs/SlurmdbApi.md#slurmdb_v0041_post_tres) | **POST** /slurmdb/v0.0.41/tres/ | Add TRES
*SlurmdbApi* | [**slurmdb_v0041_post_users**](docs/SlurmdbApi.md#slurmdb_v0041_post_users) | **POST** /slurmdb/v0.0.41/users/ | Update users
*SlurmdbApi* | [**slurmdb_v0041_post_users_association**](docs/SlurmdbApi.md#slurmdb_v0041_post_users_association) | **POST** /slurmdb/v0.0.41/users_association/ | Add users with conditional association
*SlurmdbApi* | [**slurmdb_v0041_post_wckeys**](docs/SlurmdbApi.md#slurmdb_v0041_post_wckeys) | **POST** /slurmdb/v0.0.41/wckeys/ | Add or update wckeys


## Documentation For Models

 - [Dbv0039AccountInfo](docs/Dbv0039AccountInfo.md)
 - [Dbv0039AssociationsInfo](docs/Dbv0039AssociationsInfo.md)
 - [Dbv0039ClustersInfo](docs/Dbv0039ClustersInfo.md)
 - [Dbv0039ConfigInfo](docs/Dbv0039ConfigInfo.md)
 - [Dbv0039Diag](docs/Dbv0039Diag.md)
 - [Dbv0039Error](docs/Dbv0039Error.md)
 - [Dbv0039JobInfo](docs/Dbv0039JobInfo.md)
 - [Dbv0039Meta](docs/Dbv0039Meta.md)
 - [Dbv0039MetaPlugin](docs/Dbv0039MetaPlugin.md)
 - [Dbv0039MetaSlurm](docs/Dbv0039MetaSlurm.md)
 - [Dbv0039MetaSlurmVersion](docs/Dbv0039MetaSlurmVersion.md)
 - [Dbv0039QosInfo](docs/Dbv0039QosInfo.md)
 - [Dbv0039ResponseAssociationsDelete](docs/Dbv0039ResponseAssociationsDelete.md)
 - [Dbv0039SetConfig](docs/Dbv0039SetConfig.md)
 - [Dbv0039TresInfo](docs/Dbv0039TresInfo.md)
 - [Dbv0039TresUpdate](docs/Dbv0039TresUpdate.md)
 - [Dbv0039UpdateQos](docs/Dbv0039UpdateQos.md)
 - [Dbv0039UpdateUsers](docs/Dbv0039UpdateUsers.md)
 - [Dbv0039UserInfo](docs/Dbv0039UserInfo.md)
 - [Dbv0039Warning](docs/Dbv0039Warning.md)
 - [Dbv0039WckeyInfo](docs/Dbv0039WckeyInfo.md)
 - [SlurmV0041DeleteJobs200Response](docs/SlurmV0041DeleteJobs200Response.md)
 - [SlurmV0041DeleteJobs200ResponseStatusInner](docs/SlurmV0041DeleteJobs200ResponseStatusInner.md)
 - [SlurmV0041DeleteJobs200ResponseStatusInnerError](docs/SlurmV0041DeleteJobs200ResponseStatusInnerError.md)
 - [SlurmV0041DeleteJobs200ResponseStatusInnerFederation](docs/SlurmV0041DeleteJobs200ResponseStatusInnerFederation.md)
 - [SlurmV0041DeleteJobs200ResponseStatusInnerJobId](docs/SlurmV0041DeleteJobs200ResponseStatusInnerJobId.md)
 - [SlurmV0041DeleteJobsRequest](docs/SlurmV0041DeleteJobsRequest.md)
 - [SlurmV0041GetDiag200Response](docs/SlurmV0041GetDiag200Response.md)
 - [SlurmV0041GetDiag200ResponseStatistics](docs/SlurmV0041GetDiag200ResponseStatistics.md)
 - [SlurmV0041GetDiag200ResponseStatisticsBfExit](docs/SlurmV0041GetDiag200ResponseStatisticsBfExit.md)
 - [SlurmV0041GetDiag200ResponseStatisticsBfWhenLastCycle](docs/SlurmV0041GetDiag200ResponseStatisticsBfWhenLastCycle.md)
 - [SlurmV0041GetDiag200ResponseStatisticsJobStatesTs](docs/SlurmV0041GetDiag200ResponseStatisticsJobStatesTs.md)
 - [SlurmV0041GetDiag200ResponseStatisticsPendingRpcsByHostlistInner](docs/SlurmV0041GetDiag200ResponseStatisticsPendingRpcsByHostlistInner.md)
 - [SlurmV0041GetDiag200ResponseStatisticsPendingRpcsInner](docs/SlurmV0041GetDiag200ResponseStatisticsPendingRpcsInner.md)
 - [SlurmV0041GetDiag200ResponseStatisticsReqTime](docs/SlurmV0041GetDiag200ResponseStatisticsReqTime.md)
 - [SlurmV0041GetDiag200ResponseStatisticsReqTimeStart](docs/SlurmV0041GetDiag200ResponseStatisticsReqTimeStart.md)
 - [SlurmV0041GetDiag200ResponseStatisticsRpcsByMessageTypeInner](docs/SlurmV0041GetDiag200ResponseStatisticsRpcsByMessageTypeInner.md)
 - [SlurmV0041GetDiag200ResponseStatisticsRpcsByMessageTypeInnerAverageTime](docs/SlurmV0041GetDiag200ResponseStatisticsRpcsByMessageTypeInnerAverageTime.md)
 - [SlurmV0041GetDiag200ResponseStatisticsRpcsByUserInner](docs/SlurmV0041GetDiag200ResponseStatisticsRpcsByUserInner.md)
 - [SlurmV0041GetDiag200ResponseStatisticsScheduleExit](docs/SlurmV0041GetDiag200ResponseStatisticsScheduleExit.md)
 - [SlurmV0041GetLicenses200Response](docs/SlurmV0041GetLicenses200Response.md)
 - [SlurmV0041GetLicenses200ResponseLastUpdate](docs/SlurmV0041GetLicenses200ResponseLastUpdate.md)
 - [SlurmV0041GetLicenses200ResponseLicensesInner](docs/SlurmV0041GetLicenses200ResponseLicensesInner.md)
 - [SlurmV0041GetPing200Response](docs/SlurmV0041GetPing200Response.md)
 - [SlurmV0041GetPing200ResponsePingsInner](docs/SlurmV0041GetPing200ResponsePingsInner.md)
 - [SlurmV0041GetShares200Response](docs/SlurmV0041GetShares200Response.md)
 - [SlurmV0041GetShares200ResponseErrorsInner](docs/SlurmV0041GetShares200ResponseErrorsInner.md)
 - [SlurmV0041GetShares200ResponseMeta](docs/SlurmV0041GetShares200ResponseMeta.md)
 - [SlurmV0041GetShares200ResponseMetaClient](docs/SlurmV0041GetShares200ResponseMetaClient.md)
 - [SlurmV0041GetShares200ResponseMetaPlugin](docs/SlurmV0041GetShares200ResponseMetaPlugin.md)
 - [SlurmV0041GetShares200ResponseMetaSlurm](docs/SlurmV0041GetShares200ResponseMetaSlurm.md)
 - [SlurmV0041GetShares200ResponseMetaSlurmVersion](docs/SlurmV0041GetShares200ResponseMetaSlurmVersion.md)
 - [SlurmV0041GetShares200ResponseShares](docs/SlurmV0041GetShares200ResponseShares.md)
 - [SlurmV0041GetShares200ResponseSharesSharesInner](docs/SlurmV0041GetShares200ResponseSharesSharesInner.md)
 - [SlurmV0041GetShares200ResponseSharesSharesInnerFairshare](docs/SlurmV0041GetShares200ResponseSharesSharesInnerFairshare.md)
 - [SlurmV0041GetShares200ResponseSharesSharesInnerShares](docs/SlurmV0041GetShares200ResponseSharesSharesInnerShares.md)
 - [SlurmV0041GetShares200ResponseSharesSharesInnerSharesNormalized](docs/SlurmV0041GetShares200ResponseSharesSharesInnerSharesNormalized.md)
 - [SlurmV0041GetShares200ResponseSharesSharesInnerTres](docs/SlurmV0041GetShares200ResponseSharesSharesInnerTres.md)
 - [SlurmV0041GetShares200ResponseSharesSharesInnerTresRunSecondsInner](docs/SlurmV0041GetShares200ResponseSharesSharesInnerTresRunSecondsInner.md)
 - [SlurmV0041GetShares200ResponseSharesSharesInnerTresRunSecondsInnerValue](docs/SlurmV0041GetShares200ResponseSharesSharesInnerTresRunSecondsInnerValue.md)
 - [SlurmV0041GetShares200ResponseSharesSharesInnerTresUsageInner](docs/SlurmV0041GetShares200ResponseSharesSharesInnerTresUsageInner.md)
 - [SlurmV0041GetShares200ResponseSharesSharesInnerUsageNormalized](docs/SlurmV0041GetShares200ResponseSharesSharesInnerUsageNormalized.md)
 - [SlurmV0041GetShares200ResponseWarningsInner](docs/SlurmV0041GetShares200ResponseWarningsInner.md)
 - [SlurmV0041PostJob200Response](docs/SlurmV0041PostJob200Response.md)
 - [SlurmV0041PostJob200ResponseResultsInner](docs/SlurmV0041PostJob200ResponseResultsInner.md)
 - [SlurmV0041PostJobAllocate200Response](docs/SlurmV0041PostJobAllocate200Response.md)
 - [SlurmV0041PostJobAllocateRequest](docs/SlurmV0041PostJobAllocateRequest.md)
 - [SlurmV0041PostJobSubmit200Response](docs/SlurmV0041PostJobSubmit200Response.md)
 - [SlurmV0041PostJobSubmit200ResponseResult](docs/SlurmV0041PostJobSubmit200ResponseResult.md)
 - [SlurmV0041PostJobSubmitRequest](docs/SlurmV0041PostJobSubmitRequest.md)
 - [SlurmV0041PostJobSubmitRequestJob](docs/SlurmV0041PostJobSubmitRequestJob.md)
 - [SlurmV0041PostJobSubmitRequestJobsInner](docs/SlurmV0041PostJobSubmitRequestJobsInner.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerBeginTime](docs/SlurmV0041PostJobSubmitRequestJobsInnerBeginTime.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerCrontab](docs/SlurmV0041PostJobSubmitRequestJobsInnerCrontab.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerCrontabLine](docs/SlurmV0041PostJobSubmitRequestJobsInnerCrontabLine.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerDistributionPlaneSize](docs/SlurmV0041PostJobSubmitRequestJobsInnerDistributionPlaneSize.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerKillWarningDelay](docs/SlurmV0041PostJobSubmitRequestJobsInnerKillWarningDelay.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerMemoryPerCpu](docs/SlurmV0041PostJobSubmitRequestJobsInnerMemoryPerCpu.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerPriority](docs/SlurmV0041PostJobSubmitRequestJobsInnerPriority.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerRequiredSwitches](docs/SlurmV0041PostJobSubmitRequestJobsInnerRequiredSwitches.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerRlimits](docs/SlurmV0041PostJobSubmitRequestJobsInnerRlimits.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerRlimitsAs](docs/SlurmV0041PostJobSubmitRequestJobsInnerRlimitsAs.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerRlimitsCore](docs/SlurmV0041PostJobSubmitRequestJobsInnerRlimitsCore.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerRlimitsCpu](docs/SlurmV0041PostJobSubmitRequestJobsInnerRlimitsCpu.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerRlimitsData](docs/SlurmV0041PostJobSubmitRequestJobsInnerRlimitsData.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerRlimitsFsize](docs/SlurmV0041PostJobSubmitRequestJobsInnerRlimitsFsize.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerRlimitsMemlock](docs/SlurmV0041PostJobSubmitRequestJobsInnerRlimitsMemlock.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerRlimitsNofile](docs/SlurmV0041PostJobSubmitRequestJobsInnerRlimitsNofile.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerRlimitsNproc](docs/SlurmV0041PostJobSubmitRequestJobsInnerRlimitsNproc.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerRlimitsRss](docs/SlurmV0041PostJobSubmitRequestJobsInnerRlimitsRss.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerRlimitsStack](docs/SlurmV0041PostJobSubmitRequestJobsInnerRlimitsStack.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerSegmentSize](docs/SlurmV0041PostJobSubmitRequestJobsInnerSegmentSize.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerTimeLimit](docs/SlurmV0041PostJobSubmitRequestJobsInnerTimeLimit.md)
 - [SlurmV0041PostJobSubmitRequestJobsInnerTimeMinimum](docs/SlurmV0041PostJobSubmitRequestJobsInnerTimeMinimum.md)
 - [SlurmV0041PostNodeRequest](docs/SlurmV0041PostNodeRequest.md)
 - [SlurmV0041PostNodeRequestResumeAfter](docs/SlurmV0041PostNodeRequestResumeAfter.md)
 - [SlurmV0041PostNodeRequestWeight](docs/SlurmV0041PostNodeRequestWeight.md)
 - [SlurmdbV0041DeleteAccount200Response](docs/SlurmdbV0041DeleteAccount200Response.md)
 - [SlurmdbV0041DeleteCluster200Response](docs/SlurmdbV0041DeleteCluster200Response.md)
 - [SlurmdbV0041DeleteSingleQos200Response](docs/SlurmdbV0041DeleteSingleQos200Response.md)
 - [SlurmdbV0041DeleteWckey200Response](docs/SlurmdbV0041DeleteWckey200Response.md)
 - [SlurmdbV0041GetDiag200Response](docs/SlurmdbV0041GetDiag200Response.md)
 - [SlurmdbV0041GetDiag200ResponseStatistics](docs/SlurmdbV0041GetDiag200ResponseStatistics.md)
 - [SlurmdbV0041GetDiag200ResponseStatisticsRPCsInner](docs/SlurmdbV0041GetDiag200ResponseStatisticsRPCsInner.md)
 - [SlurmdbV0041GetDiag200ResponseStatisticsRPCsInnerTime](docs/SlurmdbV0041GetDiag200ResponseStatisticsRPCsInnerTime.md)
 - [SlurmdbV0041GetDiag200ResponseStatisticsRollups](docs/SlurmdbV0041GetDiag200ResponseStatisticsRollups.md)
 - [SlurmdbV0041GetDiag200ResponseStatisticsRollupsDaily](docs/SlurmdbV0041GetDiag200ResponseStatisticsRollupsDaily.md)
 - [SlurmdbV0041GetDiag200ResponseStatisticsRollupsDailyDuration](docs/SlurmdbV0041GetDiag200ResponseStatisticsRollupsDailyDuration.md)
 - [SlurmdbV0041GetDiag200ResponseStatisticsRollupsHourly](docs/SlurmdbV0041GetDiag200ResponseStatisticsRollupsHourly.md)
 - [SlurmdbV0041GetDiag200ResponseStatisticsRollupsHourlyDuration](docs/SlurmdbV0041GetDiag200ResponseStatisticsRollupsHourlyDuration.md)
 - [SlurmdbV0041GetDiag200ResponseStatisticsRollupsMonthly](docs/SlurmdbV0041GetDiag200ResponseStatisticsRollupsMonthly.md)
 - [SlurmdbV0041GetDiag200ResponseStatisticsRollupsMonthlyDuration](docs/SlurmdbV0041GetDiag200ResponseStatisticsRollupsMonthlyDuration.md)
 - [SlurmdbV0041GetDiag200ResponseStatisticsUsersInner](docs/SlurmdbV0041GetDiag200ResponseStatisticsUsersInner.md)
 - [SlurmdbV0041PostAccountsAssociation200Response](docs/SlurmdbV0041PostAccountsAssociation200Response.md)
 - [SlurmdbV0041PostAccountsAssociationRequest](docs/SlurmdbV0041PostAccountsAssociationRequest.md)
 - [SlurmdbV0041PostAccountsAssociationRequestAccount](docs/SlurmdbV0041PostAccountsAssociationRequestAccount.md)
 - [SlurmdbV0041PostAccountsAssociationRequestAssociationCondition](docs/SlurmdbV0041PostAccountsAssociationRequestAssociationCondition.md)
 - [SlurmdbV0041PostUsersAssociation200Response](docs/SlurmdbV0041PostUsersAssociation200Response.md)
 - [SlurmdbV0041PostUsersAssociationRequest](docs/SlurmdbV0041PostUsersAssociationRequest.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationCondition](docs/SlurmdbV0041PostUsersAssociationRequestAssociationCondition.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociation](docs/SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociation.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationGrpjobs](docs/SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationGrpjobs.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationGrpjobsaccrue](docs/SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationGrpjobsaccrue.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationGrpsubmitjobs](docs/SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationGrpsubmitjobs.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationGrptresInner](docs/SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationGrptresInner.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationGrpwall](docs/SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationGrpwall.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationMaxjobs](docs/SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationMaxjobs.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationMaxjobsaccrue](docs/SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationMaxjobsaccrue.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationMaxsubmitjobs](docs/SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationMaxsubmitjobs.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationMaxwalldurationperjob](docs/SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationMaxwalldurationperjob.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationMinpriothresh](docs/SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationMinpriothresh.md)
 - [SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationPriority](docs/SlurmdbV0041PostUsersAssociationRequestAssociationConditionAssociationPriority.md)
 - [SlurmdbV0041PostUsersAssociationRequestUser](docs/SlurmdbV0041PostUsersAssociationRequestUser.md)
 - [Status](docs/Status.md)
 - [V0039Account](docs/V0039Account.md)
 - [V0039Accounting](docs/V0039Accounting.md)
 - [V0039AccountingAllocated](docs/V0039AccountingAllocated.md)
 - [V0039AcctGatherEnergy](docs/V0039AcctGatherEnergy.md)
 - [V0039Assoc](docs/V0039Assoc.md)
 - [V0039AssocDefault](docs/V0039AssocDefault.md)
 - [V0039AssocMax](docs/V0039AssocMax.md)
 - [V0039AssocMaxJobs](docs/V0039AssocMaxJobs.md)
 - [V0039AssocMaxJobsPer](docs/V0039AssocMaxJobsPer.md)
 - [V0039AssocMaxPer](docs/V0039AssocMaxPer.md)
 - [V0039AssocMaxPerAccount](docs/V0039AssocMaxPerAccount.md)
 - [V0039AssocMaxTres](docs/V0039AssocMaxTres.md)
 - [V0039AssocMaxTresGroup](docs/V0039AssocMaxTresGroup.md)
 - [V0039AssocMaxTresMinutes](docs/V0039AssocMaxTresMinutes.md)
 - [V0039AssocMaxTresMinutesPer](docs/V0039AssocMaxTresMinutesPer.md)
 - [V0039AssocMaxTresPer](docs/V0039AssocMaxTresPer.md)
 - [V0039AssocMin](docs/V0039AssocMin.md)
 - [V0039AssocShort](docs/V0039AssocShort.md)
 - [V0039AssocUsage](docs/V0039AssocUsage.md)
 - [V0039ClusterRec](docs/V0039ClusterRec.md)
 - [V0039ClusterRecAssociations](docs/V0039ClusterRecAssociations.md)
 - [V0039ClusterRecController](docs/V0039ClusterRecController.md)
 - [V0039ControllerPing](docs/V0039ControllerPing.md)
 - [V0039Coord](docs/V0039Coord.md)
 - [V0039CronEntry](docs/V0039CronEntry.md)
 - [V0039CronEntryLine](docs/V0039CronEntryLine.md)
 - [V0039Diag](docs/V0039Diag.md)
 - [V0039Error](docs/V0039Error.md)
 - [V0039Float64NoVal](docs/V0039Float64NoVal.md)
 - [V0039Job](docs/V0039Job.md)
 - [V0039JobArray](docs/V0039JobArray.md)
 - [V0039JobArrayLimits](docs/V0039JobArrayLimits.md)
 - [V0039JobArrayLimitsMax](docs/V0039JobArrayLimitsMax.md)
 - [V0039JobArrayLimitsMaxRunning](docs/V0039JobArrayLimitsMaxRunning.md)
 - [V0039JobArrayResponseMsgInner](docs/V0039JobArrayResponseMsgInner.md)
 - [V0039JobComment](docs/V0039JobComment.md)
 - [V0039JobDescMsg](docs/V0039JobDescMsg.md)
 - [V0039JobExitCode](docs/V0039JobExitCode.md)
 - [V0039JobExitCodeSignal](docs/V0039JobExitCodeSignal.md)
 - [V0039JobHet](docs/V0039JobHet.md)
 - [V0039JobInfo](docs/V0039JobInfo.md)
 - [V0039JobInfoPower](docs/V0039JobInfoPower.md)
 - [V0039JobMcs](docs/V0039JobMcs.md)
 - [V0039JobRequired](docs/V0039JobRequired.md)
 - [V0039JobRes](docs/V0039JobRes.md)
 - [V0039JobReservation](docs/V0039JobReservation.md)
 - [V0039JobState](docs/V0039JobState.md)
 - [V0039JobSubmission](docs/V0039JobSubmission.md)
 - [V0039JobSubmissionResponse](docs/V0039JobSubmissionResponse.md)
 - [V0039JobTime](docs/V0039JobTime.md)
 - [V0039JobTimeSystem](docs/V0039JobTimeSystem.md)
 - [V0039JobTres](docs/V0039JobTres.md)
 - [V0039JobUpdateResponse](docs/V0039JobUpdateResponse.md)
 - [V0039JobsResponse](docs/V0039JobsResponse.md)
 - [V0039License](docs/V0039License.md)
 - [V0039LicensesInfo](docs/V0039LicensesInfo.md)
 - [V0039Meta](docs/V0039Meta.md)
 - [V0039Node](docs/V0039Node.md)
 - [V0039NodesResponse](docs/V0039NodesResponse.md)
 - [V0039PartitionInfo](docs/V0039PartitionInfo.md)
 - [V0039PartitionInfoAccounts](docs/V0039PartitionInfoAccounts.md)
 - [V0039PartitionInfoCpus](docs/V0039PartitionInfoCpus.md)
 - [V0039PartitionInfoDefaults](docs/V0039PartitionInfoDefaults.md)
 - [V0039PartitionInfoGroups](docs/V0039PartitionInfoGroups.md)
 - [V0039PartitionInfoMaximums](docs/V0039PartitionInfoMaximums.md)
 - [V0039PartitionInfoMinimums](docs/V0039PartitionInfoMinimums.md)
 - [V0039PartitionInfoNodes](docs/V0039PartitionInfoNodes.md)
 - [V0039PartitionInfoPriority](docs/V0039PartitionInfoPriority.md)
 - [V0039PartitionInfoQos](docs/V0039PartitionInfoQos.md)
 - [V0039PartitionInfoTimeouts](docs/V0039PartitionInfoTimeouts.md)
 - [V0039PartitionInfoTres](docs/V0039PartitionInfoTres.md)
 - [V0039PartitionsResponse](docs/V0039PartitionsResponse.md)
 - [V0039Pings](docs/V0039Pings.md)
 - [V0039Qos](docs/V0039Qos.md)
 - [V0039QosLimits](docs/V0039QosLimits.md)
 - [V0039QosLimitsMax](docs/V0039QosLimitsMax.md)
 - [V0039QosLimitsMaxActiveJobs](docs/V0039QosLimitsMaxActiveJobs.md)
 - [V0039QosLimitsMaxJobs](docs/V0039QosLimitsMaxJobs.md)
 - [V0039QosLimitsMaxJobsActiveJobs](docs/V0039QosLimitsMaxJobsActiveJobs.md)
 - [V0039QosLimitsMaxJobsActiveJobsPer](docs/V0039QosLimitsMaxJobsActiveJobsPer.md)
 - [V0039QosLimitsMaxTres](docs/V0039QosLimitsMaxTres.md)
 - [V0039QosLimitsMaxTresMinutes](docs/V0039QosLimitsMaxTresMinutes.md)
 - [V0039QosLimitsMaxTresMinutesPer](docs/V0039QosLimitsMaxTresMinutesPer.md)
 - [V0039QosLimitsMaxTresPer](docs/V0039QosLimitsMaxTresPer.md)
 - [V0039QosLimitsMaxWallClock](docs/V0039QosLimitsMaxWallClock.md)
 - [V0039QosLimitsMaxWallClockPer](docs/V0039QosLimitsMaxWallClockPer.md)
 - [V0039QosLimitsMin](docs/V0039QosLimitsMin.md)
 - [V0039QosLimitsMinTres](docs/V0039QosLimitsMinTres.md)
 - [V0039QosPreempt](docs/V0039QosPreempt.md)
 - [V0039ReservationCoreSpec](docs/V0039ReservationCoreSpec.md)
 - [V0039ReservationInfo](docs/V0039ReservationInfo.md)
 - [V0039ReservationInfoPurgeCompleted](docs/V0039ReservationInfoPurgeCompleted.md)
 - [V0039ReservationsResponse](docs/V0039ReservationsResponse.md)
 - [V0039SlurmStepId](docs/V0039SlurmStepId.md)
 - [V0039StatsMsg](docs/V0039StatsMsg.md)
 - [V0039StatsRec](docs/V0039StatsRec.md)
 - [V0039StatsRpc](docs/V0039StatsRpc.md)
 - [V0039StatsRpcTime](docs/V0039StatsRpcTime.md)
 - [V0039StatsUser](docs/V0039StatsUser.md)
 - [V0039Step](docs/V0039Step.md)
 - [V0039StepCPU](docs/V0039StepCPU.md)
 - [V0039StepCPURequestedFrequency](docs/V0039StepCPURequestedFrequency.md)
 - [V0039StepNodes](docs/V0039StepNodes.md)
 - [V0039StepStatistics](docs/V0039StepStatistics.md)
 - [V0039StepStatisticsCPU](docs/V0039StepStatisticsCPU.md)
 - [V0039StepStatisticsEnergy](docs/V0039StepStatisticsEnergy.md)
 - [V0039StepStep](docs/V0039StepStep.md)
 - [V0039StepTask](docs/V0039StepTask.md)
 - [V0039StepTasks](docs/V0039StepTasks.md)
 - [V0039StepTime](docs/V0039StepTime.md)
 - [V0039StepTimeSystem](docs/V0039StepTimeSystem.md)
 - [V0039StepTres](docs/V0039StepTres.md)
 - [V0039StepTresConsumed](docs/V0039StepTresConsumed.md)
 - [V0039StepTresRequested](docs/V0039StepTresRequested.md)
 - [V0039Tres](docs/V0039Tres.md)
 - [V0039Uint16NoVal](docs/V0039Uint16NoVal.md)
 - [V0039Uint32NoVal](docs/V0039Uint32NoVal.md)
 - [V0039Uint64NoVal](docs/V0039Uint64NoVal.md)
 - [V0039UpdateNodeMsg](docs/V0039UpdateNodeMsg.md)
 - [V0039User](docs/V0039User.md)
 - [V0039UserDefault](docs/V0039UserDefault.md)
 - [V0039Warning](docs/V0039Warning.md)
 - [V0039Wckey](docs/V0039Wckey.md)
 - [V0039WckeyTag](docs/V0039WckeyTag.md)
 - [V0040Account](docs/V0040Account.md)
 - [V0040AccountShort](docs/V0040AccountShort.md)
 - [V0040Accounting](docs/V0040Accounting.md)
 - [V0040AccountingAllocated](docs/V0040AccountingAllocated.md)
 - [V0040AccountsAddCond](docs/V0040AccountsAddCond.md)
 - [V0040AcctGatherEnergy](docs/V0040AcctGatherEnergy.md)
 - [V0040Assoc](docs/V0040Assoc.md)
 - [V0040AssocDefault](docs/V0040AssocDefault.md)
 - [V0040AssocMax](docs/V0040AssocMax.md)
 - [V0040AssocMaxJobs](docs/V0040AssocMaxJobs.md)
 - [V0040AssocMaxJobsPer](docs/V0040AssocMaxJobsPer.md)
 - [V0040AssocMaxPer](docs/V0040AssocMaxPer.md)
 - [V0040AssocMaxPerAccount](docs/V0040AssocMaxPerAccount.md)
 - [V0040AssocMaxTres](docs/V0040AssocMaxTres.md)
 - [V0040AssocMaxTresGroup](docs/V0040AssocMaxTresGroup.md)
 - [V0040AssocMaxTresMinutes](docs/V0040AssocMaxTresMinutes.md)
 - [V0040AssocMaxTresPer](docs/V0040AssocMaxTresPer.md)
 - [V0040AssocMin](docs/V0040AssocMin.md)
 - [V0040AssocRecSet](docs/V0040AssocRecSet.md)
 - [V0040AssocSharesObjWrap](docs/V0040AssocSharesObjWrap.md)
 - [V0040AssocSharesObjWrapTres](docs/V0040AssocSharesObjWrapTres.md)
 - [V0040AssocShort](docs/V0040AssocShort.md)
 - [V0040BfExitFields](docs/V0040BfExitFields.md)
 - [V0040ClusterRec](docs/V0040ClusterRec.md)
 - [V0040ClusterRecAssociations](docs/V0040ClusterRecAssociations.md)
 - [V0040ClusterRecController](docs/V0040ClusterRecController.md)
 - [V0040ControllerPing](docs/V0040ControllerPing.md)
 - [V0040Coord](docs/V0040Coord.md)
 - [V0040CronEntry](docs/V0040CronEntry.md)
 - [V0040Float64NoVal](docs/V0040Float64NoVal.md)
 - [V0040Instance](docs/V0040Instance.md)
 - [V0040InstanceTime](docs/V0040InstanceTime.md)
 - [V0040Job](docs/V0040Job.md)
 - [V0040JobArray](docs/V0040JobArray.md)
 - [V0040JobArrayLimits](docs/V0040JobArrayLimits.md)
 - [V0040JobArrayLimitsMax](docs/V0040JobArrayLimitsMax.md)
 - [V0040JobArrayLimitsMaxRunning](docs/V0040JobArrayLimitsMaxRunning.md)
 - [V0040JobArrayResponseMsgEntry](docs/V0040JobArrayResponseMsgEntry.md)
 - [V0040JobComment](docs/V0040JobComment.md)
 - [V0040JobDescMsg](docs/V0040JobDescMsg.md)
 - [V0040JobDescMsgRlimits](docs/V0040JobDescMsgRlimits.md)
 - [V0040JobHet](docs/V0040JobHet.md)
 - [V0040JobInfo](docs/V0040JobInfo.md)
 - [V0040JobInfoPower](docs/V0040JobInfoPower.md)
 - [V0040JobMcs](docs/V0040JobMcs.md)
 - [V0040JobRequired](docs/V0040JobRequired.md)
 - [V0040JobRes](docs/V0040JobRes.md)
 - [V0040JobReservation](docs/V0040JobReservation.md)
 - [V0040JobState](docs/V0040JobState.md)
 - [V0040JobSubmitReq](docs/V0040JobSubmitReq.md)
 - [V0040JobSubmitResponseMsg](docs/V0040JobSubmitResponseMsg.md)
 - [V0040JobTime](docs/V0040JobTime.md)
 - [V0040JobTimeSystem](docs/V0040JobTimeSystem.md)
 - [V0040JobTimeTotal](docs/V0040JobTimeTotal.md)
 - [V0040JobTimeUser](docs/V0040JobTimeUser.md)
 - [V0040JobTres](docs/V0040JobTres.md)
 - [V0040KillJobsMsg](docs/V0040KillJobsMsg.md)
 - [V0040KillJobsRespJob](docs/V0040KillJobsRespJob.md)
 - [V0040License](docs/V0040License.md)
 - [V0040Node](docs/V0040Node.md)
 - [V0040OpenapiAccountsAddCondResp](docs/V0040OpenapiAccountsAddCondResp.md)
 - [V0040OpenapiAccountsAddCondRespStr](docs/V0040OpenapiAccountsAddCondRespStr.md)
 - [V0040OpenapiAccountsRemovedResp](docs/V0040OpenapiAccountsRemovedResp.md)
 - [V0040OpenapiAccountsResp](docs/V0040OpenapiAccountsResp.md)
 - [V0040OpenapiAssocsRemovedResp](docs/V0040OpenapiAssocsRemovedResp.md)
 - [V0040OpenapiAssocsResp](docs/V0040OpenapiAssocsResp.md)
 - [V0040OpenapiClustersRemovedResp](docs/V0040OpenapiClustersRemovedResp.md)
 - [V0040OpenapiClustersResp](docs/V0040OpenapiClustersResp.md)
 - [V0040OpenapiDiagResp](docs/V0040OpenapiDiagResp.md)
 - [V0040OpenapiError](docs/V0040OpenapiError.md)
 - [V0040OpenapiInstancesResp](docs/V0040OpenapiInstancesResp.md)
 - [V0040OpenapiJobInfoResp](docs/V0040OpenapiJobInfoResp.md)
 - [V0040OpenapiJobPostResponse](docs/V0040OpenapiJobPostResponse.md)
 - [V0040OpenapiJobSubmitResponse](docs/V0040OpenapiJobSubmitResponse.md)
 - [V0040OpenapiKillJobsResp](docs/V0040OpenapiKillJobsResp.md)
 - [V0040OpenapiLicensesResp](docs/V0040OpenapiLicensesResp.md)
 - [V0040OpenapiMeta](docs/V0040OpenapiMeta.md)
 - [V0040OpenapiNodesResp](docs/V0040OpenapiNodesResp.md)
 - [V0040OpenapiPartitionResp](docs/V0040OpenapiPartitionResp.md)
 - [V0040OpenapiPingArrayResp](docs/V0040OpenapiPingArrayResp.md)
 - [V0040OpenapiReservationResp](docs/V0040OpenapiReservationResp.md)
 - [V0040OpenapiResp](docs/V0040OpenapiResp.md)
 - [V0040OpenapiSharesResp](docs/V0040OpenapiSharesResp.md)
 - [V0040OpenapiSlurmdbdConfigResp](docs/V0040OpenapiSlurmdbdConfigResp.md)
 - [V0040OpenapiSlurmdbdJobsResp](docs/V0040OpenapiSlurmdbdJobsResp.md)
 - [V0040OpenapiSlurmdbdQosRemovedResp](docs/V0040OpenapiSlurmdbdQosRemovedResp.md)
 - [V0040OpenapiSlurmdbdQosResp](docs/V0040OpenapiSlurmdbdQosResp.md)
 - [V0040OpenapiSlurmdbdStatsResp](docs/V0040OpenapiSlurmdbdStatsResp.md)
 - [V0040OpenapiTresResp](docs/V0040OpenapiTresResp.md)
 - [V0040OpenapiUsersAddCondResp](docs/V0040OpenapiUsersAddCondResp.md)
 - [V0040OpenapiUsersAddCondRespStr](docs/V0040OpenapiUsersAddCondRespStr.md)
 - [V0040OpenapiUsersResp](docs/V0040OpenapiUsersResp.md)
 - [V0040OpenapiWarning](docs/V0040OpenapiWarning.md)
 - [V0040OpenapiWckeyRemovedResp](docs/V0040OpenapiWckeyRemovedResp.md)
 - [V0040OpenapiWckeyResp](docs/V0040OpenapiWckeyResp.md)
 - [V0040PartitionInfo](docs/V0040PartitionInfo.md)
 - [V0040PartitionInfoAccounts](docs/V0040PartitionInfoAccounts.md)
 - [V0040PartitionInfoCpus](docs/V0040PartitionInfoCpus.md)
 - [V0040PartitionInfoDefaults](docs/V0040PartitionInfoDefaults.md)
 - [V0040PartitionInfoGroups](docs/V0040PartitionInfoGroups.md)
 - [V0040PartitionInfoMaximums](docs/V0040PartitionInfoMaximums.md)
 - [V0040PartitionInfoMaximumsOversubscribe](docs/V0040PartitionInfoMaximumsOversubscribe.md)
 - [V0040PartitionInfoMinimums](docs/V0040PartitionInfoMinimums.md)
 - [V0040PartitionInfoNodes](docs/V0040PartitionInfoNodes.md)
 - [V0040PartitionInfoPartition](docs/V0040PartitionInfoPartition.md)
 - [V0040PartitionInfoPriority](docs/V0040PartitionInfoPriority.md)
 - [V0040PartitionInfoQos](docs/V0040PartitionInfoQos.md)
 - [V0040PartitionInfoTimeouts](docs/V0040PartitionInfoTimeouts.md)
 - [V0040PartitionInfoTres](docs/V0040PartitionInfoTres.md)
 - [V0040ProcessExitCodeVerbose](docs/V0040ProcessExitCodeVerbose.md)
 - [V0040ProcessExitCodeVerboseSignal](docs/V0040ProcessExitCodeVerboseSignal.md)
 - [V0040Qos](docs/V0040Qos.md)
 - [V0040QosLimits](docs/V0040QosLimits.md)
 - [V0040QosLimitsMax](docs/V0040QosLimitsMax.md)
 - [V0040QosLimitsMaxActiveJobs](docs/V0040QosLimitsMaxActiveJobs.md)
 - [V0040QosLimitsMaxJobs](docs/V0040QosLimitsMaxJobs.md)
 - [V0040QosLimitsMaxJobsActiveJobs](docs/V0040QosLimitsMaxJobsActiveJobs.md)
 - [V0040QosLimitsMaxJobsActiveJobsPer](docs/V0040QosLimitsMaxJobsActiveJobsPer.md)
 - [V0040QosLimitsMaxTres](docs/V0040QosLimitsMaxTres.md)
 - [V0040QosLimitsMaxTresMinutes](docs/V0040QosLimitsMaxTresMinutes.md)
 - [V0040QosLimitsMaxTresMinutesPer](docs/V0040QosLimitsMaxTresMinutesPer.md)
 - [V0040QosLimitsMaxTresPer](docs/V0040QosLimitsMaxTresPer.md)
 - [V0040QosLimitsMaxWallClock](docs/V0040QosLimitsMaxWallClock.md)
 - [V0040QosLimitsMaxWallClockPer](docs/V0040QosLimitsMaxWallClockPer.md)
 - [V0040QosLimitsMin](docs/V0040QosLimitsMin.md)
 - [V0040QosLimitsMinTres](docs/V0040QosLimitsMinTres.md)
 - [V0040QosLimitsMinTresPer](docs/V0040QosLimitsMinTresPer.md)
 - [V0040QosPreempt](docs/V0040QosPreempt.md)
 - [V0040ReservationCoreSpec](docs/V0040ReservationCoreSpec.md)
 - [V0040ReservationInfo](docs/V0040ReservationInfo.md)
 - [V0040ReservationInfoPurgeCompleted](docs/V0040ReservationInfoPurgeCompleted.md)
 - [V0040RollupStatsInner](docs/V0040RollupStatsInner.md)
 - [V0040ScheduleExitFields](docs/V0040ScheduleExitFields.md)
 - [V0040SharesFloat128Tres](docs/V0040SharesFloat128Tres.md)
 - [V0040SharesRespMsg](docs/V0040SharesRespMsg.md)
 - [V0040SharesUint64Tres](docs/V0040SharesUint64Tres.md)
 - [V0040StatsMsg](docs/V0040StatsMsg.md)
 - [V0040StatsMsgRpcsByTypeInner](docs/V0040StatsMsgRpcsByTypeInner.md)
 - [V0040StatsMsgRpcsByUserInner](docs/V0040StatsMsgRpcsByUserInner.md)
 - [V0040StatsRec](docs/V0040StatsRec.md)
 - [V0040StatsRpc](docs/V0040StatsRpc.md)
 - [V0040StatsUser](docs/V0040StatsUser.md)
 - [V0040Step](docs/V0040Step.md)
 - [V0040StepCPU](docs/V0040StepCPU.md)
 - [V0040StepCPURequestedFrequency](docs/V0040StepCPURequestedFrequency.md)
 - [V0040StepNodes](docs/V0040StepNodes.md)
 - [V0040StepStatistics](docs/V0040StepStatistics.md)
 - [V0040StepStatisticsCPU](docs/V0040StepStatisticsCPU.md)
 - [V0040StepStatisticsEnergy](docs/V0040StepStatisticsEnergy.md)
 - [V0040StepStep](docs/V0040StepStep.md)
 - [V0040StepTask](docs/V0040StepTask.md)
 - [V0040StepTasks](docs/V0040StepTasks.md)
 - [V0040StepTime](docs/V0040StepTime.md)
 - [V0040StepTimeSystem](docs/V0040StepTimeSystem.md)
 - [V0040StepTimeTotal](docs/V0040StepTimeTotal.md)
 - [V0040StepTimeUser](docs/V0040StepTimeUser.md)
 - [V0040StepTres](docs/V0040StepTres.md)
 - [V0040StepTresConsumed](docs/V0040StepTresConsumed.md)
 - [V0040StepTresRequested](docs/V0040StepTresRequested.md)
 - [V0040Tres](docs/V0040Tres.md)
 - [V0040Uint16NoVal](docs/V0040Uint16NoVal.md)
 - [V0040Uint32NoVal](docs/V0040Uint32NoVal.md)
 - [V0040Uint64NoVal](docs/V0040Uint64NoVal.md)
 - [V0040UpdateNodeMsg](docs/V0040UpdateNodeMsg.md)
 - [V0040User](docs/V0040User.md)
 - [V0040UserDefault](docs/V0040UserDefault.md)
 - [V0040UserShort](docs/V0040UserShort.md)
 - [V0040UsersAddCond](docs/V0040UsersAddCond.md)
 - [V0040Wckey](docs/V0040Wckey.md)
 - [V0040WckeyTagStruct](docs/V0040WckeyTagStruct.md)
 - [V0041OpenapiAccountsResp](docs/V0041OpenapiAccountsResp.md)
 - [V0041OpenapiAssocsRemovedResp](docs/V0041OpenapiAssocsRemovedResp.md)
 - [V0041OpenapiAssocsResp](docs/V0041OpenapiAssocsResp.md)
 - [V0041OpenapiClustersResp](docs/V0041OpenapiClustersResp.md)
 - [V0041OpenapiInstancesResp](docs/V0041OpenapiInstancesResp.md)
 - [V0041OpenapiJobInfoResp](docs/V0041OpenapiJobInfoResp.md)
 - [V0041OpenapiJobInfoRespJobsInner](docs/V0041OpenapiJobInfoRespJobsInner.md)
 - [V0041OpenapiJobInfoRespJobsInnerAccrueTime](docs/V0041OpenapiJobInfoRespJobsInnerAccrueTime.md)
 - [V0041OpenapiJobInfoRespJobsInnerArrayJobId](docs/V0041OpenapiJobInfoRespJobsInnerArrayJobId.md)
 - [V0041OpenapiJobInfoRespJobsInnerArrayMaxTasks](docs/V0041OpenapiJobInfoRespJobsInnerArrayMaxTasks.md)
 - [V0041OpenapiJobInfoRespJobsInnerArrayTaskId](docs/V0041OpenapiJobInfoRespJobsInnerArrayTaskId.md)
 - [V0041OpenapiJobInfoRespJobsInnerBillableTres](docs/V0041OpenapiJobInfoRespJobsInnerBillableTres.md)
 - [V0041OpenapiJobInfoRespJobsInnerCoresPerSocket](docs/V0041OpenapiJobInfoRespJobsInnerCoresPerSocket.md)
 - [V0041OpenapiJobInfoRespJobsInnerCpuFrequencyGovernor](docs/V0041OpenapiJobInfoRespJobsInnerCpuFrequencyGovernor.md)
 - [V0041OpenapiJobInfoRespJobsInnerCpuFrequencyMaximum](docs/V0041OpenapiJobInfoRespJobsInnerCpuFrequencyMaximum.md)
 - [V0041OpenapiJobInfoRespJobsInnerCpuFrequencyMinimum](docs/V0041OpenapiJobInfoRespJobsInnerCpuFrequencyMinimum.md)
 - [V0041OpenapiJobInfoRespJobsInnerCpus](docs/V0041OpenapiJobInfoRespJobsInnerCpus.md)
 - [V0041OpenapiJobInfoRespJobsInnerCpusPerTask](docs/V0041OpenapiJobInfoRespJobsInnerCpusPerTask.md)
 - [V0041OpenapiJobInfoRespJobsInnerDeadline](docs/V0041OpenapiJobInfoRespJobsInnerDeadline.md)
 - [V0041OpenapiJobInfoRespJobsInnerDelayBoot](docs/V0041OpenapiJobInfoRespJobsInnerDelayBoot.md)
 - [V0041OpenapiJobInfoRespJobsInnerDerivedExitCode](docs/V0041OpenapiJobInfoRespJobsInnerDerivedExitCode.md)
 - [V0041OpenapiJobInfoRespJobsInnerDerivedExitCodeReturnCode](docs/V0041OpenapiJobInfoRespJobsInnerDerivedExitCodeReturnCode.md)
 - [V0041OpenapiJobInfoRespJobsInnerDerivedExitCodeSignal](docs/V0041OpenapiJobInfoRespJobsInnerDerivedExitCodeSignal.md)
 - [V0041OpenapiJobInfoRespJobsInnerDerivedExitCodeSignalId](docs/V0041OpenapiJobInfoRespJobsInnerDerivedExitCodeSignalId.md)
 - [V0041OpenapiJobInfoRespJobsInnerEligibleTime](docs/V0041OpenapiJobInfoRespJobsInnerEligibleTime.md)
 - [V0041OpenapiJobInfoRespJobsInnerEndTime](docs/V0041OpenapiJobInfoRespJobsInnerEndTime.md)
 - [V0041OpenapiJobInfoRespJobsInnerExitCode](docs/V0041OpenapiJobInfoRespJobsInnerExitCode.md)
 - [V0041OpenapiJobInfoRespJobsInnerHetJobId](docs/V0041OpenapiJobInfoRespJobsInnerHetJobId.md)
 - [V0041OpenapiJobInfoRespJobsInnerHetJobOffset](docs/V0041OpenapiJobInfoRespJobsInnerHetJobOffset.md)
 - [V0041OpenapiJobInfoRespJobsInnerJobResources](docs/V0041OpenapiJobInfoRespJobsInnerJobResources.md)
 - [V0041OpenapiJobInfoRespJobsInnerJobResourcesNodes](docs/V0041OpenapiJobInfoRespJobsInnerJobResourcesNodes.md)
 - [V0041OpenapiJobInfoRespJobsInnerJobResourcesNodesAllocationInner](docs/V0041OpenapiJobInfoRespJobsInnerJobResourcesNodesAllocationInner.md)
 - [V0041OpenapiJobInfoRespJobsInnerJobResourcesNodesAllocationInnerCpus](docs/V0041OpenapiJobInfoRespJobsInnerJobResourcesNodesAllocationInnerCpus.md)
 - [V0041OpenapiJobInfoRespJobsInnerJobResourcesNodesAllocationInnerMemory](docs/V0041OpenapiJobInfoRespJobsInnerJobResourcesNodesAllocationInnerMemory.md)
 - [V0041OpenapiJobInfoRespJobsInnerJobResourcesNodesAllocationInnerSocketsInner](docs/V0041OpenapiJobInfoRespJobsInnerJobResourcesNodesAllocationInnerSocketsInner.md)
 - [V0041OpenapiJobInfoRespJobsInnerJobResourcesNodesAllocationInnerSocketsInnerCoresInner](docs/V0041OpenapiJobInfoRespJobsInnerJobResourcesNodesAllocationInnerSocketsInnerCoresInner.md)
 - [V0041OpenapiJobInfoRespJobsInnerJobResourcesThreadsPerCore](docs/V0041OpenapiJobInfoRespJobsInnerJobResourcesThreadsPerCore.md)
 - [V0041OpenapiJobInfoRespJobsInnerLastSchedEvaluation](docs/V0041OpenapiJobInfoRespJobsInnerLastSchedEvaluation.md)
 - [V0041OpenapiJobInfoRespJobsInnerMaxCpus](docs/V0041OpenapiJobInfoRespJobsInnerMaxCpus.md)
 - [V0041OpenapiJobInfoRespJobsInnerMaxNodes](docs/V0041OpenapiJobInfoRespJobsInnerMaxNodes.md)
 - [V0041OpenapiJobInfoRespJobsInnerMemoryPerNode](docs/V0041OpenapiJobInfoRespJobsInnerMemoryPerNode.md)
 - [V0041OpenapiJobInfoRespJobsInnerMinimumCpusPerNode](docs/V0041OpenapiJobInfoRespJobsInnerMinimumCpusPerNode.md)
 - [V0041OpenapiJobInfoRespJobsInnerMinimumTmpDiskPerNode](docs/V0041OpenapiJobInfoRespJobsInnerMinimumTmpDiskPerNode.md)
 - [V0041OpenapiJobInfoRespJobsInnerNodeCount](docs/V0041OpenapiJobInfoRespJobsInnerNodeCount.md)
 - [V0041OpenapiJobInfoRespJobsInnerPower](docs/V0041OpenapiJobInfoRespJobsInnerPower.md)
 - [V0041OpenapiJobInfoRespJobsInnerPreSusTime](docs/V0041OpenapiJobInfoRespJobsInnerPreSusTime.md)
 - [V0041OpenapiJobInfoRespJobsInnerPreemptTime](docs/V0041OpenapiJobInfoRespJobsInnerPreemptTime.md)
 - [V0041OpenapiJobInfoRespJobsInnerPreemptableTime](docs/V0041OpenapiJobInfoRespJobsInnerPreemptableTime.md)
 - [V0041OpenapiJobInfoRespJobsInnerResizeTime](docs/V0041OpenapiJobInfoRespJobsInnerResizeTime.md)
 - [V0041OpenapiJobInfoRespJobsInnerSocketsPerNode](docs/V0041OpenapiJobInfoRespJobsInnerSocketsPerNode.md)
 - [V0041OpenapiJobInfoRespJobsInnerStartTime](docs/V0041OpenapiJobInfoRespJobsInnerStartTime.md)
 - [V0041OpenapiJobInfoRespJobsInnerSubmitTime](docs/V0041OpenapiJobInfoRespJobsInnerSubmitTime.md)
 - [V0041OpenapiJobInfoRespJobsInnerSuspendTime](docs/V0041OpenapiJobInfoRespJobsInnerSuspendTime.md)
 - [V0041OpenapiJobInfoRespJobsInnerTasks](docs/V0041OpenapiJobInfoRespJobsInnerTasks.md)
 - [V0041OpenapiJobInfoRespJobsInnerTasksPerBoard](docs/V0041OpenapiJobInfoRespJobsInnerTasksPerBoard.md)
 - [V0041OpenapiJobInfoRespJobsInnerTasksPerCore](docs/V0041OpenapiJobInfoRespJobsInnerTasksPerCore.md)
 - [V0041OpenapiJobInfoRespJobsInnerTasksPerNode](docs/V0041OpenapiJobInfoRespJobsInnerTasksPerNode.md)
 - [V0041OpenapiJobInfoRespJobsInnerTasksPerSocket](docs/V0041OpenapiJobInfoRespJobsInnerTasksPerSocket.md)
 - [V0041OpenapiJobInfoRespJobsInnerTasksPerTres](docs/V0041OpenapiJobInfoRespJobsInnerTasksPerTres.md)
 - [V0041OpenapiJobInfoRespJobsInnerThreadsPerCore](docs/V0041OpenapiJobInfoRespJobsInnerThreadsPerCore.md)
 - [V0041OpenapiJobInfoRespLastBackfill](docs/V0041OpenapiJobInfoRespLastBackfill.md)
 - [V0041OpenapiJobInfoRespLastUpdate](docs/V0041OpenapiJobInfoRespLastUpdate.md)
 - [V0041OpenapiNodesResp](docs/V0041OpenapiNodesResp.md)
 - [V0041OpenapiNodesRespLastUpdate](docs/V0041OpenapiNodesRespLastUpdate.md)
 - [V0041OpenapiNodesRespNodesInner](docs/V0041OpenapiNodesRespNodesInner.md)
 - [V0041OpenapiNodesRespNodesInnerBootTime](docs/V0041OpenapiNodesRespNodesInnerBootTime.md)
 - [V0041OpenapiNodesRespNodesInnerEnergy](docs/V0041OpenapiNodesRespNodesInnerEnergy.md)
 - [V0041OpenapiNodesRespNodesInnerEnergyCurrentWatts](docs/V0041OpenapiNodesRespNodesInnerEnergyCurrentWatts.md)
 - [V0041OpenapiNodesRespNodesInnerFreeMem](docs/V0041OpenapiNodesRespNodesInnerFreeMem.md)
 - [V0041OpenapiNodesRespNodesInnerLastBusy](docs/V0041OpenapiNodesRespNodesInnerLastBusy.md)
 - [V0041OpenapiNodesRespNodesInnerReasonChangedAt](docs/V0041OpenapiNodesRespNodesInnerReasonChangedAt.md)
 - [V0041OpenapiNodesRespNodesInnerResumeAfter](docs/V0041OpenapiNodesRespNodesInnerResumeAfter.md)
 - [V0041OpenapiNodesRespNodesInnerSlurmdStartTime](docs/V0041OpenapiNodesRespNodesInnerSlurmdStartTime.md)
 - [V0041OpenapiPartitionResp](docs/V0041OpenapiPartitionResp.md)
 - [V0041OpenapiPartitionRespLastUpdate](docs/V0041OpenapiPartitionRespLastUpdate.md)
 - [V0041OpenapiPartitionRespPartitionsInner](docs/V0041OpenapiPartitionRespPartitionsInner.md)
 - [V0041OpenapiPartitionRespPartitionsInnerDefaults](docs/V0041OpenapiPartitionRespPartitionsInnerDefaults.md)
 - [V0041OpenapiPartitionRespPartitionsInnerDefaultsPartitionMemoryPerCpu](docs/V0041OpenapiPartitionRespPartitionsInnerDefaultsPartitionMemoryPerCpu.md)
 - [V0041OpenapiPartitionRespPartitionsInnerDefaultsPartitionMemoryPerNode](docs/V0041OpenapiPartitionRespPartitionsInnerDefaultsPartitionMemoryPerNode.md)
 - [V0041OpenapiPartitionRespPartitionsInnerDefaultsTime](docs/V0041OpenapiPartitionRespPartitionsInnerDefaultsTime.md)
 - [V0041OpenapiPartitionRespPartitionsInnerMaximums](docs/V0041OpenapiPartitionRespPartitionsInnerMaximums.md)
 - [V0041OpenapiPartitionRespPartitionsInnerMaximumsCpusPerNode](docs/V0041OpenapiPartitionRespPartitionsInnerMaximumsCpusPerNode.md)
 - [V0041OpenapiPartitionRespPartitionsInnerMaximumsCpusPerSocket](docs/V0041OpenapiPartitionRespPartitionsInnerMaximumsCpusPerSocket.md)
 - [V0041OpenapiPartitionRespPartitionsInnerMaximumsNodes](docs/V0041OpenapiPartitionRespPartitionsInnerMaximumsNodes.md)
 - [V0041OpenapiPartitionRespPartitionsInnerMaximumsOverTimeLimit](docs/V0041OpenapiPartitionRespPartitionsInnerMaximumsOverTimeLimit.md)
 - [V0041OpenapiPartitionRespPartitionsInnerMaximumsPartitionMemoryPerCpu](docs/V0041OpenapiPartitionRespPartitionsInnerMaximumsPartitionMemoryPerCpu.md)
 - [V0041OpenapiPartitionRespPartitionsInnerMaximumsPartitionMemoryPerNode](docs/V0041OpenapiPartitionRespPartitionsInnerMaximumsPartitionMemoryPerNode.md)
 - [V0041OpenapiPartitionRespPartitionsInnerMaximumsTime](docs/V0041OpenapiPartitionRespPartitionsInnerMaximumsTime.md)
 - [V0041OpenapiPartitionRespPartitionsInnerSuspendTime](docs/V0041OpenapiPartitionRespPartitionsInnerSuspendTime.md)
 - [V0041OpenapiPartitionRespPartitionsInnerTimeouts](docs/V0041OpenapiPartitionRespPartitionsInnerTimeouts.md)
 - [V0041OpenapiPartitionRespPartitionsInnerTimeoutsResume](docs/V0041OpenapiPartitionRespPartitionsInnerTimeoutsResume.md)
 - [V0041OpenapiPartitionRespPartitionsInnerTimeoutsSuspend](docs/V0041OpenapiPartitionRespPartitionsInnerTimeoutsSuspend.md)
 - [V0041OpenapiReservationResp](docs/V0041OpenapiReservationResp.md)
 - [V0041OpenapiReservationRespLastUpdate](docs/V0041OpenapiReservationRespLastUpdate.md)
 - [V0041OpenapiReservationRespReservationsInner](docs/V0041OpenapiReservationRespReservationsInner.md)
 - [V0041OpenapiReservationRespReservationsInnerCoreSpecializationsInner](docs/V0041OpenapiReservationRespReservationsInnerCoreSpecializationsInner.md)
 - [V0041OpenapiReservationRespReservationsInnerEndTime](docs/V0041OpenapiReservationRespReservationsInnerEndTime.md)
 - [V0041OpenapiReservationRespReservationsInnerPurgeCompleted](docs/V0041OpenapiReservationRespReservationsInnerPurgeCompleted.md)
 - [V0041OpenapiReservationRespReservationsInnerPurgeCompletedTime](docs/V0041OpenapiReservationRespReservationsInnerPurgeCompletedTime.md)
 - [V0041OpenapiReservationRespReservationsInnerStartTime](docs/V0041OpenapiReservationRespReservationsInnerStartTime.md)
 - [V0041OpenapiReservationRespReservationsInnerWatts](docs/V0041OpenapiReservationRespReservationsInnerWatts.md)
 - [V0041OpenapiResp](docs/V0041OpenapiResp.md)
 - [V0041OpenapiSlurmdbdConfigResp](docs/V0041OpenapiSlurmdbdConfigResp.md)
 - [V0041OpenapiSlurmdbdConfigRespAccountsInner](docs/V0041OpenapiSlurmdbdConfigRespAccountsInner.md)
 - [V0041OpenapiSlurmdbdConfigRespAccountsInnerAssociationsInner](docs/V0041OpenapiSlurmdbdConfigRespAccountsInnerAssociationsInner.md)
 - [V0041OpenapiSlurmdbdConfigRespAccountsInnerCoordinatorsInner](docs/V0041OpenapiSlurmdbdConfigRespAccountsInnerCoordinatorsInner.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInner](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInner.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMax](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMax.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxJobs](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxJobs.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxJobsAccruing](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxJobsAccruing.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxJobsActive](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxJobsActive.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxJobsPer](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxJobsPer.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxJobsPerSubmitted](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxJobsPerSubmitted.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxJobsTotal](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxJobsTotal.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxPer](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxPer.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxPerAccount](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxPerAccount.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxTres](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxTres.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxTresGroup](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxTresGroup.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxTresMinutes](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxTresMinutes.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxTresMinutesPer](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxTresMinutesPer.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxTresPer](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMaxTresPer.md)
 - [V0041OpenapiSlurmdbdConfigRespAssociationsInnerMin](docs/V0041OpenapiSlurmdbdConfigRespAssociationsInnerMin.md)
 - [V0041OpenapiSlurmdbdConfigRespClustersInner](docs/V0041OpenapiSlurmdbdConfigRespClustersInner.md)
 - [V0041OpenapiSlurmdbdConfigRespClustersInnerAssociations](docs/V0041OpenapiSlurmdbdConfigRespClustersInnerAssociations.md)
 - [V0041OpenapiSlurmdbdConfigRespClustersInnerAssociationsRoot](docs/V0041OpenapiSlurmdbdConfigRespClustersInnerAssociationsRoot.md)
 - [V0041OpenapiSlurmdbdConfigRespInstancesInner](docs/V0041OpenapiSlurmdbdConfigRespInstancesInner.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInner](docs/V0041OpenapiSlurmdbdConfigRespQosInner.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimits](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimits.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsFactor](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsFactor.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMax](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMax.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxAccruing](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxAccruing.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxAccruingPer](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxAccruingPer.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxAccruingPerAccount](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxAccruingPerAccount.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxAccruingPerUser](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxAccruingPerUser.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxActiveJobs](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxActiveJobs.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxActiveJobsAccruing](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxActiveJobsAccruing.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxActiveJobsCount](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxActiveJobsCount.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobs](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobs.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsActiveJobs](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsActiveJobs.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsActiveJobsPer](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsActiveJobsPer.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsActiveJobsPerAccount](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsActiveJobsPerAccount.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsActiveJobsPerUser](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsActiveJobsPerUser.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsPer](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsPer.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsPerAccount](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsPerAccount.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsPerUser](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxJobsPerUser.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxTres](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxTres.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxTresMinutes](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxTresMinutes.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxTresMinutesPer](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxTresMinutesPer.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxTresPer](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxTresPer.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxWallClock](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxWallClock.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxWallClockPer](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxWallClockPer.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxWallClockPerJob](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxWallClockPerJob.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxWallClockPerQos](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMaxWallClockPerQos.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMin](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMin.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMinPriorityThreshold](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMinPriorityThreshold.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMinTres](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMinTres.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMinTresPer](docs/V0041OpenapiSlurmdbdConfigRespQosInnerLimitsMinTresPer.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerPreempt](docs/V0041OpenapiSlurmdbdConfigRespQosInnerPreempt.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerPreemptExemptTime](docs/V0041OpenapiSlurmdbdConfigRespQosInnerPreemptExemptTime.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerPriority](docs/V0041OpenapiSlurmdbdConfigRespQosInnerPriority.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerUsageFactor](docs/V0041OpenapiSlurmdbdConfigRespQosInnerUsageFactor.md)
 - [V0041OpenapiSlurmdbdConfigRespQosInnerUsageThreshold](docs/V0041OpenapiSlurmdbdConfigRespQosInnerUsageThreshold.md)
 - [V0041OpenapiSlurmdbdConfigRespUsersInner](docs/V0041OpenapiSlurmdbdConfigRespUsersInner.md)
 - [V0041OpenapiSlurmdbdConfigRespUsersInnerWckeysInner](docs/V0041OpenapiSlurmdbdConfigRespUsersInnerWckeysInner.md)
 - [V0041OpenapiSlurmdbdConfigRespUsersInnerWckeysInnerAccountingInner](docs/V0041OpenapiSlurmdbdConfigRespUsersInnerWckeysInnerAccountingInner.md)
 - [V0041OpenapiSlurmdbdConfigRespUsersInnerWckeysInnerAccountingInnerTRES](docs/V0041OpenapiSlurmdbdConfigRespUsersInnerWckeysInnerAccountingInnerTRES.md)
 - [V0041OpenapiSlurmdbdJobsResp](docs/V0041OpenapiSlurmdbdJobsResp.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInner](docs/V0041OpenapiSlurmdbdJobsRespJobsInner.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerArray](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerArray.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerAssociation](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerAssociation.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerExitCode](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerExitCode.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerHet](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerHet.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerRequired](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerRequired.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInner](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInner.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerCPU](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerCPU.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerCPURequestedFrequency](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerCPURequestedFrequency.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerCPURequestedFrequencyMax](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerCPURequestedFrequencyMax.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerCPURequestedFrequencyMin](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerCPURequestedFrequencyMin.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerNodes](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerNodes.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerStatistics](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerStatistics.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerStatisticsEnergy](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerStatisticsEnergy.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerStatisticsEnergyConsumed](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerStatisticsEnergyConsumed.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerStep](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerStep.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerTime](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerTime.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerTimeEnd](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerTimeEnd.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerTimeStart](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerTimeStart.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerTres](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerTres.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerTresConsumed](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerTresConsumed.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerTresRequested](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerStepsInnerTresRequested.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerTime](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerTime.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerTimePlanned](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerTimePlanned.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerTres](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerTres.md)
 - [V0041OpenapiSlurmdbdJobsRespJobsInnerWckey](docs/V0041OpenapiSlurmdbdJobsRespJobsInnerWckey.md)
 - [V0041OpenapiSlurmdbdQosResp](docs/V0041OpenapiSlurmdbdQosResp.md)
 - [V0041OpenapiTresResp](docs/V0041OpenapiTresResp.md)
 - [V0041OpenapiUsersResp](docs/V0041OpenapiUsersResp.md)
 - [V0041OpenapiWckeyResp](docs/V0041OpenapiWckeyResp.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="user"></a>
### user

- **Type**: API key
- **API key parameter name**: X-SLURM-USER-NAME
- **Location**: HTTP header

<a id="token"></a>
### token

- **Type**: API key
- **API key parameter name**: X-SLURM-USER-TOKEN
- **Location**: HTTP header

<a id="bearerAuth"></a>
### bearerAuth

- **Type**: Bearer authentication (JWT)


## Author

sales@schedmd.com


